package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.concurrent.atomic.AtomicLong;

public class LiberatoriaTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static Liberatoria getLiberatoriaSample1() {
        return new Liberatoria().id(1L);
    }

    public static Liberatoria getLiberatoriaSample2() {
        return new Liberatoria().id(2L);
    }

    public static Liberatoria getLiberatoriaRandomSampleGenerator() {
        return new Liberatoria().id(longCount.incrementAndGet());
    }
}
